Phar::uncompressAllFiles
Phar::webPhar
Phar
PHP Manual

# Phar::unlinkArchive

Completely remove a phar archive from disk and from memory

### Description

final public static bool Phar::unlinkArchive ( string `$archive` )

Removes a phar archive for disk and memory.

### Parameters

`archive`

  The path on disk to the phar archive.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Errors/Exceptions

PharException is thrown if there are any open file pointers to the phar archive, or any existing Phar, PharData, or PharFileInfo objects referring to the phar archive.

### Examples

Example #1 A Phar::unlinkArchive example

`<?php
// simple usage
Phar::unlinkArchive('/path/to/my.phar');
// more common example:
$p = new Phar('my.phar');
$fp = fopen('phar://my.phar/file.txt', 'r');
// this creates 'my.phar.gz'
$gp = $p->compress(Phar::GZ);
// remove all references to the archive
unset($p);
fclose($fp);
// now remove all traces of the archive
Phar::unlinkArchive('my.phar');
?>`

### See Also

- Phar::delete
- Phar::offsetUnset